<?php

\defined('PROJECT_PATH') or \define('PROJECT_PATH', __DIR__);
require_once __DIR__ . '/../vendor/autoload.php';
\set_error_handler('Ministra\\Lib\\w13ec15f0067ea75861e61e27c990e4ba\\i3754c224d4571b09d7b07bb2de9df22d', \E_ALL);
\set_exception_handler('Ministra\\Lib\\w13ec15f0067ea75861e61e27c990e4ba\\n1f65b5cf04cc2748b19a44737cffacb5');
use Dotenv\Dotenv;
try {
    if (\file_exists(__DIR__ . '/.env')) {
        \Dotenv\Dotenv::create(__DIR__, '.env')->load();
    }
} catch (\Exception $e) {
}
if (\getenv('APP_CONFIG')) {
    $originPath = \getenv('APP_CONFIG');
    if (\false === \realpath($originPath)) {
        $path = __DIR__ . '/' . \getenv('APP_CONFIG');
        $originPath = $path;
    }
    \putenv('APP_CONFIG=' . \realpath($originPath));
}
use Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf;
\define('FATAL', \E_USER_ERROR);
\define('ERROR', \E_USER_WARNING);
\define('WARNING', \E_USER_NOTICE);
if (!\defined('PATH_SEPARATOR')) {
    \define('PATH_SEPARATOR', \getenv('COMSPEC') ? ';' : ':');
}
\defined('PROJECT_PATH') or \define('PROJECT_PATH', \dirname(__FILE__));
\ini_set('include_path', \ini_get('include_path') . \PATH_SEPARATOR . \PROJECT_PATH);
if (\Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::exist('default_timezone')) {
    \date_default_timezone_set(\Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::get('default_timezone'));
}
if (\Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::exist('http_proxy')) {
    $default_context = ['http' => ['proxy' => \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::get('http_proxy'), 'request_fulluri' => \true]];
    if (\Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::exist('http_proxy_login') && \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::exist('http_proxy_password')) {
        $default_context['http']['header'] = 'Proxy-Authorization: Basic ' . \base64_encode(\Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::get('http_proxy_login') . ':' . \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::get('http_proxy_password')) . "\r\n";
    }
    \stream_context_set_default($default_context);
    \libxml_set_streams_context(\stream_context_create($default_context));
}
